Bug 261717

Summary: album previews loosen
Product: digikam Reporter: Axel Krebs <axel.krebs>
Component: Thumbs-ImageAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: caulier.gilles, steffen_riemer
Priority: NOR    
Version: 1.7.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 5.1.0

Description Axel Krebs 2010-12-31 14:36:41 UTC
Version:           1.7.0 (using KDE 4.5.1) 
OS:                Linux

My best wishes for News Years Eve!!!


When I take up a number of images, I experience that ALBUM Prievew panel does not show Album Prewiew anymore. 

Only things I can do at this time is to select all Album previews again.

So, this Album previews seem to be "instable", somehow. 

This is true, even when copying the _complete_ folder with any related file to another place (pics and DG-Databases).

?? Do I make a mistake 
?? Is there a related systematic database design-issue envolved?
?? Would MySQL be better as QSQLITE? 


Besides, and in contradiction, tabs can reliable be stored in single pictures metadata, and these metadata are stable there. Independant from the very storage location!

Reproducible: Always



Expected Results:  
Album preview take time to use. 
DK should NOT waste time of users because of double work.

digiKam4.db:          217,6 MB
thumbnails-digikam.db   1,6 GB


Digikam 1.70 from <http://www.digikam.org/drupal/node/557>


Some numbers:
AVI:                        59
BMP:                         1
GIF:                        99
JPG:                     53360
PNG:                       447
RAW-CR2:                   629
RAW-CRW:                 10996
RAW-DNG:                     4
RAW-NEF:                 22212
TIFF:                      579
XCF:                         1
Gesamtzahl der Einträge: 88387
Alben:                    1302
Stichwörter:                22
Datenbanktreiber:      QSQLITE
Comment 1 Steffen Riemer 2011-04-24 21:37:05 UTC
Album previews loosen as well

version 1.8.0

OS: SUSE 10.4
6 User

Me (user riemers) -> album preview works fine
My wife (user riemern) -> album preview does not work - all pictures are displayed without preview; it is possible to view the images by slide show or individually by the big preview option

rw options of the folders where the pictures files are located are o.k.

? where is the inconsistency?
Comment 2 caulier.gilles 2013-12-14 22:36:13 UTC
Axel,

This entry still valid using last digiKam 3.5.0 ?

Gilles Caulier
Comment 3 caulier.gilles 2014-08-30 22:13:21 UTC
Axel,

We need a fresh feedback about this file using last digiKam 4.2.0.

Gilles Caulier
Comment 4 caulier.gilles 2015-06-28 09:41:02 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 5 Axel Krebs 2015-06-29 18:46:02 UTC
Dear Gilles:

you know, I'll try what I can to support the further development of digiKam.

Unfortunately, I'm not geek enough to compile digikam from sources; so, 
under openSuSe 13,2 I'm bound to wait for newer versions of digiKam 4.6, 
this distro provides.

I feel not able to compile digiKam myself. This is still true-and noirt 
resolved :-( !

I did not find a easily working repo, unfortunately-
thank you 4 for your link on <https://www.digikam.org/node/740>

Where shall I find a repo for openSuSe 13.2?

I am so sorry-

Thank your for digiKam


Best,  Axel


Am 28.06.2015 um 11:41 schrieb Gilles Caulier:
> https://bugs.kde.org/show_bug.cgi?id=261717
>
> --- Comment #4 from Gilles Caulier <caulier.gilles@gmail.com> ---
> New digiKam 4.11.0 is available :
>
> https://www.digikam.org/node/740
>
> Can you reproduce the problem with this release ?
>
> Gilles Caulier
>
Comment 6 caulier.gilles 2015-08-24 05:15:09 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.
Comment 7 caulier.gilles 2016-07-15 20:58:52 UTC
With digiKam 5.0.0, this problem is not reproducible.
I close this file now. Don't hesitate to re-open if necessary.
Gilles Caulier